# Uses of Interface
org.eclipse.equinox.p2.engine.IProvisioningPlan

Packages that use IProvisioningPlan
Package
Description
org.eclipse.equinox.p2.engine
Provides support for interacting with the p2 provisioning engine
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.planner
Provides core support for interacting with a dependency resolution mechanism.
org.eclipse.equinox.p2.ui
Provides provisioning user interface classes that can be used for assembling a provisioning UI.

## Uses of IProvisioningPlan in org.eclipse.equinox.p2.engine

Methods in org.eclipse.equinox.p2.engine that return IProvisioningPlan
Modifier and Type
Method
Description
`IProvisioningPlan`
IEngine.`createPlan(IProfile profile, ProvisioningContext context)`
Creates a provisioning plan whose methods can be use to provide pre-validated changes.
`IProvisioningPlan`
IProvisioningPlan.`getInstallerPlan()`
Returns a plan describing the proposed set of changes to the provisioning infrastructure required by this plan.
Methods in org.eclipse.equinox.p2.engine with parameters of type IProvisioningPlan
Modifier and Type
Method
Description
`IStatus`
IEngine.`perform(IProvisioningPlan plan, IProgressMonitor monitor)`
Executes a provisioning plan with a default phase set and context.
`IStatus`
IEngine.`perform(IProvisioningPlan plan, IPhaseSet phaseSet, IProgressMonitor monitor)`
Executes a provisioning plan.
`void`
IProvisioningPlan.`setInstallerPlan(IProvisioningPlan installerPlan)`
Sets the installer plan for this plan.

## Uses of IProvisioningPlan in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return IProvisioningPlan
Modifier and Type
Method
Description
`IProvisioningPlan`
ProfileChangeOperation.`getProvisioningPlan()`
Return the provisioning plan obtained by resolving the receiver.
Methods in org.eclipse.equinox.p2.operations with parameters of type IProvisioningPlan
Modifier and Type
Method
Description
`IStatus`
ProvisioningSession.`performProvisioningPlan(IProvisioningPlan plan, IPhaseSet phaseSet, ProvisioningContext context, IProgressMonitor monitor)`
Perform the specified provisioning plan.
Constructors in org.eclipse.equinox.p2.operations with parameters of type IProvisioningPlan
Modifier
Constructor
Description
``
`ProfileModificationJob(String name, ProvisioningSession session, String profileId, IProvisioningPlan plan, ProvisioningContext context)`
Create a job that will update a profile according to the specified provisioning plan.

## Uses of IProvisioningPlan in org.eclipse.equinox.p2.planner

Methods in org.eclipse.equinox.p2.planner that return IProvisioningPlan
Modifier and Type
Method
Description
`IProvisioningPlan`
IPlanner.`getDiffPlan(IProfile currentProfile, IProfile targetProfile, IProgressMonitor monitor)`
`IProvisioningPlan`
IPlanner.`getProvisioningPlan(IProfileChangeRequest profileChangeRequest, ProvisioningContext context, IProgressMonitor monitor)`
Returns a plan describing the set of changes that must be performed to satisfy the given profile change request.

## Uses of IProvisioningPlan in org.eclipse.equinox.p2.ui

Methods in org.eclipse.equinox.p2.ui with parameters of type IProvisioningPlan
Modifier and Type
Method
Description
`void`
AcceptLicensesWizardPage.`updateForPlan(IInstallableUnit[] theIUs, IProvisioningPlan plan)`
Update the current page to show the licenses that must be approved for the selected IUs and the provisioning plan.